# sf::WindowSettings Struct Reference

Structure defining the creation settings of windows. More...

`#include <WindowSettings.hpp>`

List of all members.

## Public Member Functions

| WindowSettings (unsigned int Depth=24, unsigned int Stencil=8, unsigned int Antialiasing=0)
| Default constructor.

## Public Attributes

unsigned int | DepthBits
| Bits of the depth buffer.
unsigned int | StencilBits
| Bits of the stencil buffer.
unsigned int | AntialiasingLevel
| Level of antialiasing.

## Detailed Description

Structure defining the creation settings of windows.

Definition at line 34 of file WindowSettings.hpp.

## Constructor & Destructor Documentation

sf::WindowSettings::WindowSettings | ( | unsigned int | Depth = `24`,
|  | unsigned int | Stencil = `8`,
|  | unsigned int | Antialiasing = `0` |
| ) |  |  | `[inline, explicit]`

Default constructor.

Parameters:

  | Depth | : Depth buffer bits (24 by default)
  | Stencil | : Stencil buffer bits (8 by default)
  | Antialiasing | : Antialiasing level (0 by default)

Definition at line 44 of file WindowSettings.hpp.

## Member Data Documentation

unsigned int sf::WindowSettings::AntialiasingLevel

Level of antialiasing.

Definition at line 56 of file WindowSettings.hpp.

unsigned int sf::WindowSettings::DepthBits

Bits of the depth buffer.

Definition at line 54 of file WindowSettings.hpp.

unsigned int sf::WindowSettings::StencilBits

Bits of the stencil buffer.

Definition at line 55 of file WindowSettings.hpp.

The documentation for this struct was generated from the following file:

- WindowSettings.hpp